GNU bug report logs - #22952
MacBook2,1 brightness control requires root privileges

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Albin <albin@HIDDEN>; Keywords: fixed; dated Tue, 8 Mar 2016 22:52:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug closed, send any further explanations to 22952 <at> debbugs.gnu.org and Albin <albin@HIDDEN> Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 22952 <at> debbugs.gnu.org:


Received: (at 22952) by debbugs.gnu.org; 20 Apr 2017 08:45:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 20 04:45:47 2017
Received: from localhost ([127.0.0.1]:57910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d17il-00020o-GD
	for submit <at> debbugs.gnu.org; Thu, 20 Apr 2017 04:45:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1d17ij-00020X-QM
 for 22952 <at> debbugs.gnu.org; Thu, 20 Apr 2017 04:45:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1d17ib-0000gT-LY
 for 22952 <at> debbugs.gnu.org; Thu, 20 Apr 2017 04:45:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60114)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1d17ib-0000gC-IX; Thu, 20 Apr 2017 04:45:37 -0400
Received: from [193.50.110.185] (port=44490 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1d17ib-0001XM-0C; Thu, 20 Apr 2017 04:45:37 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Joshua Branson <bransoj@HIDDEN>
Subject: Re: bug#22952: Macbook2, 1 brightness control requires root privileges
References: <56DF5744.6000706@HIDDEN>
 <BN6PR10MB1729D14D79AF18A6B09C8615A6180@HIDDEN>
Date: Thu, 20 Apr 2017 10:45:35 +0200
In-Reply-To: <BN6PR10MB1729D14D79AF18A6B09C8615A6180@HIDDEN>
 (Joshua Branson's message of "Wed, 19 Apr 2017 22:23:47 +0000")
Message-ID: <877f2f4gcw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22952
Cc: "22952-done <at> debbugs.gnu.org" <22952 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Joshua Branson <bransoj@HIDDEN> skribis:

> 	I use a Macbook 7,1 and I do not have this issue.
>
> Perhaps this issue is resolved?

Indeed, I believe it was fixed about a year ago with the elogind/polkit
integration in GuixSD.

So I=E2=80=99m closing the bug, please reopen if you think it=E2=80=99s not=
 resolved!

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#22952; Package guix. Full text available.

Message received at 22952 <at> debbugs.gnu.org:


Received: (at 22952) by debbugs.gnu.org; 19 Apr 2017 22:23:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 19 18:23:57 2017
Received: from localhost ([127.0.0.1]:57583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d0y0y-0000CQ-UX
	for submit <at> debbugs.gnu.org; Wed, 19 Apr 2017 18:23:57 -0400
Received: from mail-oln040092002071.outbound.protection.outlook.com
 ([40.92.2.71]:62304 helo=NAM01-SN1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bransoj@HIDDEN>) id 1d0y0w-0000CC-IG
 for 22952 <at> debbugs.gnu.org; Wed, 19 Apr 2017 18:23:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1; h=From:Date:Subject:Message-ID:Content-Type:MIME-Version;
 bh=hzCvzdt5KBDWH9dVnLz3287oBxb1vmwD/Dcy8F/Co58=;
 b=QuWtz1Nqe0k5wsdD+UTFTdNXf4P21hgtN1tIXeTHtWrXohtd+8BYXVtUGomLn9QZKqOWHhmgao1e6SSeJWAsIR+Nswt6N/1uivPI0g+fLoJKJlPiaofluu+/ThyJbD7CYsEJDHNM7mVcj/g6sHRA1AY2J6HjWNYTuxs1Pv5PAI78jb9jmvxBEUuHTFnpXOiqkOu5e1e3CdW4gKEIGVRXSgLsQgjJxJZN61nt+SoF55IyKUBx5uknSI2I/hg6GaarbOIeyOZ3+WzU2GX48vj+hyXwuQj+jNvOuQkag5CwV/z2/rRuIOMQyF+QMXhbSrgYODmXtQvENcDVlEhLl7M6Vw==
Received: from BY2NAM01FT026.eop-nam01.prod.protection.outlook.com
 (10.152.68.60) by BY2NAM01HT232.eop-nam01.prod.protection.outlook.com
 (10.152.69.30) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384_P384) id 15.1.1019.14; Wed, 19
 Apr 2017 22:23:48 +0000
Received: from BN6PR10MB1729.namprd10.prod.outlook.com (10.152.68.54) by
 BY2NAM01FT026.mail.protection.outlook.com (10.152.69.197) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id
 15.1.961.10 via Frontend Transport; Wed, 19 Apr 2017 22:23:48 +0000
Received: from BN6PR10MB1729.namprd10.prod.outlook.com ([10.172.20.137]) by
 BN6PR10MB1729.namprd10.prod.outlook.com ([10.172.20.137]) with mapi id
 15.01.1034.018; Wed, 19 Apr 2017 22:23:48 +0000
From: Joshua Branson <bransoj@HIDDEN>
To: "22952 <at> debbugs.gnu.org" <22952 <at> debbugs.gnu.org>
Subject: Macbook2,1 brightness control requires root privileges
Thread-Topic: Macbook2,1 brightness control requires root privileges
Thread-Index: AQHSuVudJeadsa5PDkCNZkiKd916+A==
Date: Wed, 19 Apr 2017 22:23:47 +0000
Message-ID: <BN6PR10MB1729D14D79AF18A6B09C8615A6180@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: debbugs.gnu.org; dkim=none (message not signed)
 header.d=none;debbugs.gnu.org; dmarc=none action=none
 header.from=hotmail.com;
x-incomingtopheadermarker: OriginalChecksum:3B80632037D96E146FA13563608F2B8D2237AE209C23FEE5E01958F3F79283FF;
 UpperCasedChecksum:B8C46A3EDE2767BC6CF794A8BC13ED6ADD1A71F70078CC1A307B658900D58E37;
 SizeAsReceived:7856; Count:40
x-ms-exchange-messagesentrepresentingtype: 1
x-ms-publictraffictype: Email
x-microsoft-exchange-diagnostics: 1; BY2NAM01HT232;
 5:x3pWyEj9OK0BBJIKyWdHclK8VCv6EpPjUHiybOKV8bwnwDJLMDmA4hHC7y+6X8wxEjU49SzB9DtmTv96cAlJN4+UeLbf3Q/eOcknm9pWImm516TE+YZZY5AEUpQNfujbj9jKuL01PfCCGf0PoVoDWA==;
 24:D+ljhT1QVl7XZesZPRaBG5/WMwui8lqMgpO8+b/Ft0T5K5aivUXWsQqQOaV8tBBqYCXupVjyOEjzNXdu29NMWQ0nMbIPD/pt2it2i7fWp0I=;
 7:Pkj6W8zFkaShF18gpuLAt01Tt8nIHr0llpjtXKKfQ8LbzREkSS4e134gxEQoSVBWm//JVt1FKGwPMkAz5m9g8u/G39xhRWzFCuyvSw/uOUE9IXFB62UrVMehmsVxoYyQIzwLnm1J5EugmFXjrv7E2HYhgxSdiPdyzVEMQEsCd0hSzcPeIxxasRh1Q57RgizOSUPiHDdUTldpqT52kH27FKuv/XZZPXvmGqK+cnmtPqs0uQgYNVFfD4X4GucqrcwAQh/uLO23aUfuLZAWZDVXoHlEc8p7i+CGX6Y5DtkFgC1+nfoQZbGok4pWK/GrvhPw
x-incomingheadercount: 40
x-eopattributedmessage: 0
x-forefront-antispam-report: EFV:NLI; SFV:NSPM; SFS:(7070007)(98901004);
 DIR:OUT; SFP:1901; SCL:1; SRVR:BY2NAM01HT232;
 H:BN6PR10MB1729.namprd10.prod.outlook.com; FPR:; SPF:None; LANG:en; 
x-ms-office365-filtering-correlation-id: c0e041a5-d224-4d6c-3100-08d48772bf31
x-microsoft-antispam: UriScan:; BCL:0; PCL:0;
 RULEID:(22001)(201702061074)(5061506573)(5061507331)(1603103135)(2017031320274)(2017031324274)(2017031323274)(2017031322274)(1601125374)(1603101448)(1701031045);
 SRVR:BY2NAM01HT232; 
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0; RULEID:(444000031);
 SRVR:BY2NAM01HT232; BCL:0; PCL:0; RULEID:; SRVR:BY2NAM01HT232; 
x-forefront-prvs: 028256169F
spamdiagnosticoutput: 1:99
spamdiagnosticmetadata: NSPM
Content-Type: text/plain; charset="us-ascii"
Content-ID: <19A1A15875125042B7837D313077CAD6@HIDDEN>
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: hotmail.com
X-MS-Exchange-CrossTenant-originalarrivaltime: 19 Apr 2017 22:23:47.8973 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BY2NAM01HT232
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22952
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

	I use a Macbook 7,1 and I do not have this issue.

Perhaps this issue is resolved?




Information forwarded to bug-guix@HIDDEN:
bug#22952; Package guix. Full text available.

Message received at 22952 <at> debbugs.gnu.org:


Received: (at 22952) by debbugs.gnu.org; 9 Mar 2016 13:22:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 09 08:22:43 2016
Received: from localhost ([127.0.0.1]:40628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ade4Z-0005O4-Gv
	for submit <at> debbugs.gnu.org; Wed, 09 Mar 2016 08:22:43 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56357)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ludo@HIDDEN>) id 1ade4X-0005Ns-T6
 for 22952 <at> debbugs.gnu.org; Wed, 09 Mar 2016 08:22:42 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1ade4P-00016y-9J
 for 22952 <at> debbugs.gnu.org; Wed, 09 Mar 2016 08:22:36 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37706)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1ade3i-0000rK-JN; Wed, 09 Mar 2016 08:21:50 -0500
Received: from reverse-83.fdn.fr ([80.67.176.83]:60134 helo=pluto)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1ade3h-0007cn-RP; Wed, 09 Mar 2016 08:21:50 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Albin <albin@HIDDEN>
Subject: Re: bug#22952: MacBook2, 1 brightness control requires root privileges
References: <56DF5744.6000706@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 20 =?utf-8?Q?Vent=C3=B4se?= an 224 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x3D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Wed, 09 Mar 2016 14:21:47 +0100
In-Reply-To: <56DF5744.6000706@HIDDEN> (albin@HIDDEN's message of
 "Tue, 8 Mar 2016 23:50:44 +0100")
Message-ID: <87mvq7dbx0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22952
Cc: Andy Wingo <wingo@HIDDEN>, 22952 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Albin <albin@HIDDEN> skribis:

> I've discovered that the non-working brightness controls for the
> MacBook2,1 are due to insufficient permissions.
>
> The first indication of this was that I could change brightness by
> running the program redshift with root permissions (`sudo redshift`).

Interesting.  I use a simple window manager (ratpoison), and =E2=80=98redsh=
ift=E2=80=99
works fine as non-root.

> Today I was presented with this dialog box in GNOME 3 after having
> pressed one of the brightness-control keys:
>
> "Authentication is needed to run
> '/gnu/store/[...]-gnome-settings-daemon-3.18.2/libexec/gsd-backlight-help=
er'
> as the super user.
>
> Administrator
> Password [__________]"

This is something Andy is working on:

  https://lists.gnu.org/archive/html/guix-devel/2016-03/msg00247.html

Looks like we=E2=80=99re almost there.  :-)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#22952; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Mar 2016 22:51:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 08 17:51:17 2016
Received: from localhost ([127.0.0.1]:40236 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1adQTF-0005Y4-6h
	for submit <at> debbugs.gnu.org; Tue, 08 Mar 2016 17:51:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59960)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <albin@HIDDEN>) id 1adQTD-0005Xo-HH
 for submit <at> debbugs.gnu.org; Tue, 08 Mar 2016 17:51:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <albin@HIDDEN>) id 1adQT7-0001AL-N2
 for submit <at> debbugs.gnu.org; Tue, 08 Mar 2016 17:51:10 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44981)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <albin@HIDDEN>) id 1adQT7-0001AG-Kb
 for submit <at> debbugs.gnu.org; Tue, 08 Mar 2016 17:51:09 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50911)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <albin@HIDDEN>) id 1adQT6-0003Ml-M1
 for bug-guix@HIDDEN; Tue, 08 Mar 2016 17:51:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <albin@HIDDEN>) id 1adQT1-00016b-Mh
 for bug-guix@HIDDEN; Tue, 08 Mar 2016 17:51:08 -0500
Received: from giraff.fripost.org ([178.16.208.44]:48915
 helo=outgoing.fripost.org) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <albin@HIDDEN>) id 1adQT1-00012d-Cq
 for bug-guix@HIDDEN; Tue, 08 Mar 2016 17:51:03 -0500
Received: from localhost (localhost [127.0.0.1])
 by outgoing.fripost.org (Postfix) with ESMTP id 0802744B458
 for <bug-guix@HIDDEN>; Tue,  8 Mar 2016 23:50:58 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=fripost.org; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :user-agent:date:date:message-id:subject:subject:from:from; s=
 20140703; t=1457477457; x=1459291858; bh=VQVTGpNZSuwJDdkcijuZHk6
 i4+yUJaQRlrZDn+gcjqY=; b=bQkZrGv930hjKZdjEZvHCjsK3gGIlpKQqxX3q8E
 XOkWlDOMEEj5ibzZ5DeNRvf1r6CC0DGBU4l9pt+ktWRVbqVWU5dcf7IyCBLsBfTD
 ln8AistFdokeHXZupMarVkxl/4EjNgxxEHeYViwHegRUocbXQfA/vpyCpKjw1gAs
 sHCU=
X-Virus-Scanned: Debian amavisd-new at fripost.org
Received: from outgoing.fripost.org ([127.0.0.1])
 by localhost (giraff.fripost.org [127.0.0.1]) (amavisd-new, port 10040)
 with LMTP id e4PQEWOAa5Jf for <bug-guix@HIDDEN>;
 Tue,  8 Mar 2016 23:50:57 +0100 (CET)
Received: from smtp.fripost.org (mistral.fripost.org [178.16.208.43])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client CN "mistral.fripost.org", Issuer "mistral.fripost.org" (not verified))
 by outgoing.fripost.org (Postfix) with ESMTPS id C4D6444B455
 for <bug-guix@HIDDEN>; Tue,  8 Mar 2016 23:50:51 +0100 (CET)
Received: from [127.0.0.1] (localhost [127.0.0.1])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 by smtp.fripost.org (Postfix) with ESMTPSA id A141DF5A04C
 for <bug-guix@HIDDEN>; Tue,  8 Mar 2016 23:50:45 +0100 (CET)
To: bug-guix@HIDDEN
From: Albin <albin@HIDDEN>
Subject: MacBook2,1 brightness control requires root privileges
Message-ID: <56DF5744.6000706@HIDDEN>
Date: Tue, 8 Mar 2016 23:50:44 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Icedove/38.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

Hi,

I've discovered that the non-working brightness controls for the
MacBook2,1 are due to insufficient permissions.

The first indication of this was that I could change brightness by
running the program redshift with root permissions (`sudo redshift`).

Today I was presented with this dialog box in GNOME 3 after having
pressed one of the brightness-control keys:

"Authentication is needed to run
'/gnu/store/[...]-gnome-settings-daemon-3.18.2/libexec/gsd-backlight-help=
er'
as the super user.

Administrator
Password [__________]"

I tried to input both the user password and the root password but none
of this this had any effect. When I back into GNOME 3 as root, however,
the brightness controls were working.

Does anyone have a suggestion what I could try to give the various
brightness control programs (for GNOME 3, Xfce, etc.) the required
permissions without having to be logged in as root?

Cheers!

Albin




Acknowledgement sent to Albin <albin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#22952; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 17 Nov 2020 21:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.